//
// Naiwne Potegowanie modulo
//
// www.algorytm.org
// (c)2006 Tomasz Lubinski
//

public class NPM {

	//calculates a^b mod m
	public static int power_modulo(int a, int b, int m)	{
	   int i;
	   int result = a%m;

	   for (i=1; i<b; i++) {
	      result *= a;
	      result %= m;
	   }

	   return result;
	}
	
	/**
	 * @param args
	 */
	public static void main(String[] args) {
		//9688563^458926 mod 71 = 30
		System.out.println("9688563^458926 mod 71 = " + power_modulo(9688563, 458926, 71));

		//12^4 mod 7 = 2
		System.out.println("12^4 mod 7 = " + power_modulo(12, 4, 7));
	}

}
